
public class Class410 implements Interface17 {

   Class253 aClass253_5010;
   Class253 aClass253_5011;
   String[] aStringArray5012;
   boolean aBool5013;
   Class470 aClass470_5014;
   public int anInt5015;
   Class564 aClass564_5016 = new Class564(64);
   Class564 aClass564_5017 = new Class564(50);
   public Class561 aClass561_5018 = new Class561(250);
   Class481 aClass481_5019;
   Class389 aClass389_5020;
   int anInt5021;
   String[] aStringArray5022;
   Class428 aClass428_5023 = new Class428();
   static int anInt5024;


   public Class410(Class481 var1, Class470 var2, boolean var3, Class389 var4, Class253 var5, Class253 var6) {
      this.aClass481_5019 = var1;
      this.aClass470_5014 = var2;
      this.aBool5013 = var3;
      this.aClass389_5020 = var4;
      this.aClass253_5011 = var5;
      this.aClass253_5010 = var6;
      if(null != this.aClass253_5011) {
         int var7 = this.aClass253_5011.method4515(-1197141812) - 1;
         this.anInt5015 = (var7 * Class115.aClass115_1122.method2278(1758489165) + this.aClass253_5011.method4514(var7, -1371291570)) * -1696585657;
      } else {
         this.anInt5015 = 0;
      }

      if(this.aClass481_5019 == Class481.aClass481_5854) {
         this.aStringArray5022 = new String[]{null, null, Class418.aClass418_5157.method7137(this.aClass470_5014, (byte)-58), null, null, Class418.aClass418_5272.method7137(this.aClass470_5014, (byte)-58)};
      } else {
         this.aStringArray5022 = new String[]{null, null, Class418.aClass418_5157.method7137(this.aClass470_5014, (byte)-71), null, null, null};
      }

      this.aStringArray5012 = new String[]{null, null, null, null, Class418.aClass418_5158.method7137(this.aClass470_5014, (byte)-94)};
   }

   public ItemDefinition method7007(int var1, int var2) {
      Class564 var3 = this.aClass564_5016;
      ItemDefinition var4;
      synchronized(var3) {
         var4 = (ItemDefinition)this.aClass564_5016.method11959((long)var1);
      }

      if(var4 != null) {
         return var4;
      } else {
         Class253 var5 = this.aClass253_5011;
         byte[] var12;
         synchronized(var5) {
            var12 = this.aClass253_5011.method4547(Class115.aClass115_1122.method2277(var1, -1928194969), Class115.aClass115_1122.method2276(var1, -850239525), (byte)-31);
         }

         var4 = new ItemDefinition();
         var4.aClass410_4934 = this;
         var4.anInt4935 = var1 * -1866902881;
         var4.aStringArray4965 = (String[])((String[])this.aStringArray5022.clone());
         var4.aStringArray4959 = (String[])((String[])this.aStringArray5012.clone());
         if(var12 != null) {
            var4.method6887(new RS2Buffer(var12), -466460528);
         }

         var4.method6886(955469583);
         if(-1823943423 * var4.anInt4982 != -1) {
            var4.method6910(this.method7007(-1823943423 * var4.anInt4982, -1957162130), this.method7007(var4.anInt4981 * -116094915, -1957162130), 1055858993);
         }

         if(var4.anInt4955 * -1761800209 != -1) {
            var4.method6890(this.method7007(var4.anInt4955 * -1761800209, -1957162130), this.method7007(-470824831 * var4.anInt4983, -1957162130), (byte)-66);
         }

         if(-1 != var4.anInt4997 * 1626089223) {
            var4.method6891(this.method7007(var4.anInt4997 * 1626089223, -1957162130), this.method7007(var4.anInt4996 * 664092373, -1957162130), 2082292391);
         }

         if(!this.aBool5013 && var4.aBool4970) {
            var4.anInt4936 = 0;
            var4.aStringArray4965 = this.aStringArray5022;
            var4.aStringArray4959 = this.aStringArray5012;
            var4.aBool4991 = false;
            var4.anIntArray4967 = null;
            if(null != var4.aClass423_4993) {
               boolean var13 = false;

               for(Class225 var6 = var4.aClass423_4993.method7208(-405853513); null != var6; var6 = var4.aClass423_4993.method7226(2126716140)) {
                  Class401 var7 = this.aClass389_5020.method6674((int)(-7222396723785363401L * var6.aLong2606), -1737472087);
                  if(var7.aBool4915) {
                     var6.method3857(-578052923);
                  } else {
                     var13 = true;
                  }
               }

               if(!var13) {
                  var4.aClass423_4993 = null;
               }
            }
         }

         Class564 var14 = this.aClass564_5016;
         synchronized(var14) {
            this.aClass564_5016.method11958(var4, (long)var1);
            return var4;
         }
      }
   }

   public Class171 method7008(Class545 var1, int var2, int var3, int var4, int var5, int var6, Class540 var7, int var8) {
      this.aClass428_5023.anInt5378 = 763876111 * var1.anInt7353;
      this.aClass428_5023.anInt5377 = var2 * 576917419;
      this.aClass428_5023.anInt5381 = 1894269099 * var3;
      this.aClass428_5023.anInt5379 = 888228131 * var4;
      this.aClass428_5023.anInt5380 = var5 * 1897828817;
      this.aClass428_5023.anInt5376 = var6 * -1376089223;
      boolean var10001;
      if(var7 != null) {
         if(var8 == 1386398128) {
            ;
         }

         var10001 = true;
      } else {
         var10001 = false;
      }

      this.aClass428_5023.aBool5382 = var10001;
      return (Class171)this.aClass561_5018.method11931(this.aClass428_5023);
   }

   public void method7009() {
      Class561 var1 = this.aClass561_5018;
      synchronized(var1) {
         this.aClass561_5018.method11926();
      }
   }

   public void method7010(boolean var1, byte var2) {
      if(var1 != this.aBool5013) {
         this.aBool5013 = var1;
         this.method7012(355378089);
      }
   }

   public void method7011(int var1, int var2) {
      this.anInt5021 = 221181881 * var1;
      Class564 var3 = this.aClass564_5017;
      synchronized(var3) {
         this.aClass564_5017.method11976((byte)78);
      }
   }

   public void method7012(int var1) {
      Class564 var2 = this.aClass564_5016;
      synchronized(var2) {
         this.aClass564_5016.method11976((byte)5);
      }

      var2 = this.aClass564_5017;
      synchronized(var2) {
         this.aClass564_5017.method11976((byte)40);
      }

      Class561 var9 = this.aClass561_5018;
      synchronized(var9) {
         this.aClass561_5018.method11926();
      }
   }

   public void method7013(byte var1) {
      Class561 var2 = this.aClass561_5018;
      synchronized(var2) {
         this.aClass561_5018.method11926();
      }
   }

   public void method7014(int var1) {
      Class564 var2 = this.aClass564_5017;
      synchronized(var2) {
         this.aClass564_5017.method11976((byte)83);
      }
   }

   public void method7015(int var1, int var2) {
      Class564 var3 = this.aClass564_5016;
      synchronized(var3) {
         this.aClass564_5016.method11963(var1, (byte)-102);
      }

      var3 = this.aClass564_5017;
      synchronized(var3) {
         this.aClass564_5017.method11963(var1, (byte)-107);
      }

      Class561 var10 = this.aClass561_5018;
      synchronized(var10) {
         this.aClass561_5018.method11925(var1);
      }
   }

   public void method7016(int var1) {
      Class564 var2 = this.aClass564_5016;
      synchronized(var2) {
         this.aClass564_5016.method11968((short)-534);
      }

      var2 = this.aClass564_5017;
      synchronized(var2) {
         this.aClass564_5017.method11968((short)-29729);
      }

      Class561 var9 = this.aClass561_5018;
      synchronized(var9) {
         this.aClass561_5018.method11948();
      }
   }

   public void method7017(boolean var1) {
      if(var1 != this.aBool5013) {
         this.aBool5013 = var1;
         this.method7012(-1980993496);
      }
   }

   public ItemDefinition method7018(int var1) {
      Class564 var2 = this.aClass564_5016;
      ItemDefinition var3;
      synchronized(var2) {
         var3 = (ItemDefinition)this.aClass564_5016.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5011;
         byte[] var11;
         synchronized(var4) {
            var11 = this.aClass253_5011.method4547(Class115.aClass115_1122.method2277(var1, -1704585119), Class115.aClass115_1122.method2276(var1, -892572995), (byte)-81);
         }

         var3 = new ItemDefinition();
         var3.aClass410_4934 = this;
         var3.anInt4935 = var1 * -1866902881;
         var3.aStringArray4965 = (String[])((String[])this.aStringArray5022.clone());
         var3.aStringArray4959 = (String[])((String[])this.aStringArray5012.clone());
         if(var11 != null) {
            var3.method6887(new RS2Buffer(var11), -184917369);
         }

         var3.method6886(2070745884);
         if(-1823943423 * var3.anInt4982 != -1) {
            var3.method6910(this.method7007(-1823943423 * var3.anInt4982, -1957162130), this.method7007(var3.anInt4981 * -116094915, -1957162130), 1068079471);
         }

         if(var3.anInt4955 * -1761800209 != -1) {
            var3.method6890(this.method7007(var3.anInt4955 * -1761800209, -1957162130), this.method7007(-470824831 * var3.anInt4983, -1957162130), (byte)60);
         }

         if(-1 != var3.anInt4997 * 1626089223) {
            var3.method6891(this.method7007(var3.anInt4997 * 1626089223, -1957162130), this.method7007(var3.anInt4996 * 664092373, -1957162130), 2082292391);
         }

         if(!this.aBool5013 && var3.aBool4970) {
            var3.anInt4936 = 0;
            var3.aStringArray4965 = this.aStringArray5022;
            var3.aStringArray4959 = this.aStringArray5012;
            var3.aBool4991 = false;
            var3.anIntArray4967 = null;
            if(null != var3.aClass423_4993) {
               boolean var12 = false;

               for(Class225 var5 = var3.aClass423_4993.method7208(-405853513); null != var5; var5 = var3.aClass423_4993.method7226(-80762724)) {
                  Class401 var6 = this.aClass389_5020.method6674((int)(-7222396723785363401L * var5.aLong2606), -1737472087);
                  if(var6.aBool4915) {
                     var5.method3857(-1955048840);
                  } else {
                     var12 = true;
                  }
               }

               if(!var12) {
                  var3.aClass423_4993 = null;
               }
            }
         }

         Class564 var13 = this.aClass564_5016;
         synchronized(var13) {
            this.aClass564_5016.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public ItemDefinition method7019(int var1) {
      Class564 var2 = this.aClass564_5016;
      ItemDefinition var3;
      synchronized(var2) {
         var3 = (ItemDefinition)this.aClass564_5016.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5011;
         byte[] var11;
         synchronized(var4) {
            var11 = this.aClass253_5011.method4547(Class115.aClass115_1122.method2277(var1, -1611230417), Class115.aClass115_1122.method2276(var1, -153738161), (byte)-21);
         }

         var3 = new ItemDefinition();
         var3.aClass410_4934 = this;
         var3.anInt4935 = var1 * -1866902881;
         var3.aStringArray4965 = (String[])((String[])this.aStringArray5022.clone());
         var3.aStringArray4959 = (String[])((String[])this.aStringArray5012.clone());
         if(var11 != null) {
            var3.method6887(new RS2Buffer(var11), -1036601190);
         }

         var3.method6886(954368383);
         if(-1823943423 * var3.anInt4982 != -1) {
            var3.method6910(this.method7007(-1823943423 * var3.anInt4982, -1957162130), this.method7007(var3.anInt4981 * -116094915, -1957162130), -146258255);
         }

         if(var3.anInt4955 * -1761800209 != -1) {
            var3.method6890(this.method7007(var3.anInt4955 * -1761800209, -1957162130), this.method7007(-470824831 * var3.anInt4983, -1957162130), (byte)-35);
         }

         if(-1 != var3.anInt4997 * 1626089223) {
            var3.method6891(this.method7007(var3.anInt4997 * 1626089223, -1957162130), this.method7007(var3.anInt4996 * 664092373, -1957162130), 2082292391);
         }

         if(!this.aBool5013 && var3.aBool4970) {
            var3.anInt4936 = 0;
            var3.aStringArray4965 = this.aStringArray5022;
            var3.aStringArray4959 = this.aStringArray5012;
            var3.aBool4991 = false;
            var3.anIntArray4967 = null;
            if(null != var3.aClass423_4993) {
               boolean var12 = false;

               for(Class225 var5 = var3.aClass423_4993.method7208(-405853513); null != var5; var5 = var3.aClass423_4993.method7226(722815477)) {
                  Class401 var6 = this.aClass389_5020.method6674((int)(-7222396723785363401L * var5.aLong2606), -1737472087);
                  if(var6.aBool4915) {
                     var5.method3857(-107744712);
                  } else {
                     var12 = true;
                  }
               }

               if(!var12) {
                  var3.aClass423_4993 = null;
               }
            }
         }

         Class564 var13 = this.aClass564_5016;
         synchronized(var13) {
            this.aClass564_5016.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class171 method7020(Class545 var1, Class545 var2, int var3, int var4, int var5, int var6, boolean var7, boolean var8, int var9, Class8 var10, Class540 var11) {
      if(!var8) {
         Class171 var12 = this.method7008(var2, var3, var4, var5, var6, var9, var11, -106796063);
         if(null != var12) {
            return var12;
         }
      }

      ItemDefinition var16 = this.method7007(var3, -1957162130);
      if(var4 > 1 && var16.anIntArray4990 != null) {
         int var13 = -1;

         for(int var14 = 0; var14 < 10; ++var14) {
            if(var4 >= var16.anIntArray4940[var14] && var16.anIntArray4940[var14] != 0) {
               var13 = var16.anIntArray4990[var14];
            }
         }

         if(-1 != var13) {
            var16 = this.method7007(var13, -1957162130);
         }
      }

      int[] var17 = var16.method6932(var1, var2, var4, var5, var6, var7, var9, var10, var11, 1855778857);
      if(null == var17) {
         return null;
      } else {
         Class171 var18;
         if(var8) {
            var18 = var1.method11599(var17, 0, 36, 36, 32, 98312473);
         } else {
            var18 = var2.method11599(var17, 0, 36, 36, 32, 98312473);
         }

         if(!var8) {
            Class428 var15 = new Class428();
            var15.anInt5378 = 763876111 * var2.anInt7353;
            var15.anInt5377 = 576917419 * var3;
            var15.anInt5381 = 1894269099 * var4;
            var15.anInt5379 = var5 * 888228131;
            var15.anInt5380 = var6 * 1897828817;
            var15.anInt5376 = -1376089223 * var9;
            var15.aBool5382 = null != var11;
            this.aClass561_5018.method11923(var18, var15);
         }

         return var18;
      }
   }

   public Class171 method7021(Class545 var1, Class545 var2, int var3, int var4, int var5, int var6, boolean var7, boolean var8, int var9, Class8 var10, Class540 var11) {
      if(!var8) {
         Class171 var12 = this.method7008(var2, var3, var4, var5, var6, var9, var11, 95219276);
         if(null != var12) {
            return var12;
         }
      }

      ItemDefinition var16 = this.method7007(var3, -1957162130);
      if(var4 > 1 && var16.anIntArray4990 != null) {
         int var13 = -1;

         for(int var14 = 0; var14 < 10; ++var14) {
            if(var4 >= var16.anIntArray4940[var14] && var16.anIntArray4940[var14] != 0) {
               var13 = var16.anIntArray4990[var14];
            }
         }

         if(-1 != var13) {
            var16 = this.method7007(var13, -1957162130);
         }
      }

      int[] var17 = var16.method6932(var1, var2, var4, var5, var6, var7, var9, var10, var11, 1855778857);
      if(null == var17) {
         return null;
      } else {
         Class171 var18;
         if(var8) {
            var18 = var1.method11599(var17, 0, 36, 36, 32, 98312473);
         } else {
            var18 = var2.method11599(var17, 0, 36, 36, 32, 98312473);
         }

         if(!var8) {
            Class428 var15 = new Class428();
            var15.anInt5378 = 763876111 * var2.anInt7353;
            var15.anInt5377 = 576917419 * var3;
            var15.anInt5381 = 1894269099 * var4;
            var15.anInt5379 = var5 * 888228131;
            var15.anInt5380 = var6 * 1897828817;
            var15.anInt5376 = -1376089223 * var9;
            var15.aBool5382 = null != var11;
            this.aClass561_5018.method11923(var18, var15);
         }

         return var18;
      }
   }

   public void method7022() {
      Class564 var1 = this.aClass564_5016;
      synchronized(var1) {
         this.aClass564_5016.method11976((byte)38);
      }

      var1 = this.aClass564_5017;
      synchronized(var1) {
         this.aClass564_5017.method11976((byte)121);
      }

      Class561 var8 = this.aClass561_5018;
      synchronized(var8) {
         this.aClass561_5018.method11926();
      }
   }

   public Class171 method7023(Class545 var1, Class545 var2, int var3, int var4, int var5, int var6, boolean var7, boolean var8, int var9, Class8 var10, Class540 var11) {
      if(!var8) {
         Class171 var12 = this.method7008(var2, var3, var4, var5, var6, var9, var11, -431033958);
         if(null != var12) {
            return var12;
         }
      }

      ItemDefinition var16 = this.method7007(var3, -1957162130);
      if(var4 > 1 && var16.anIntArray4990 != null) {
         int var13 = -1;

         for(int var14 = 0; var14 < 10; ++var14) {
            if(var4 >= var16.anIntArray4940[var14] && var16.anIntArray4940[var14] != 0) {
               var13 = var16.anIntArray4990[var14];
            }
         }

         if(-1 != var13) {
            var16 = this.method7007(var13, -1957162130);
         }
      }

      int[] var17 = var16.method6932(var1, var2, var4, var5, var6, var7, var9, var10, var11, 1855778857);
      if(null == var17) {
         return null;
      } else {
         Class171 var18;
         if(var8) {
            var18 = var1.method11599(var17, 0, 36, 36, 32, 98312473);
         } else {
            var18 = var2.method11599(var17, 0, 36, 36, 32, 98312473);
         }

         if(!var8) {
            Class428 var15 = new Class428();
            var15.anInt5378 = 763876111 * var2.anInt7353;
            var15.anInt5377 = 576917419 * var3;
            var15.anInt5381 = 1894269099 * var4;
            var15.anInt5379 = var5 * 888228131;
            var15.anInt5380 = var6 * 1897828817;
            var15.anInt5376 = -1376089223 * var9;
            var15.aBool5382 = null != var11;
            this.aClass561_5018.method11923(var18, var15);
         }

         return var18;
      }
   }

   public ItemDefinition method7024(int var1) {
      Class564 var2 = this.aClass564_5016;
      ItemDefinition var3;
      synchronized(var2) {
         var3 = (ItemDefinition)this.aClass564_5016.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5011;
         byte[] var11;
         synchronized(var4) {
            var11 = this.aClass253_5011.method4547(Class115.aClass115_1122.method2277(var1, -611894663), Class115.aClass115_1122.method2276(var1, -778170725), (byte)-56);
         }

         var3 = new ItemDefinition();
         var3.aClass410_4934 = this;
         var3.anInt4935 = var1 * -1866902881;
         var3.aStringArray4965 = (String[])((String[])this.aStringArray5022.clone());
         var3.aStringArray4959 = (String[])((String[])this.aStringArray5012.clone());
         if(var11 != null) {
            var3.method6887(new RS2Buffer(var11), -280471687);
         }

         var3.method6886(662586725);
         if(-1823943423 * var3.anInt4982 != -1) {
            var3.method6910(this.method7007(-1823943423 * var3.anInt4982, -1957162130), this.method7007(var3.anInt4981 * -116094915, -1957162130), 695740826);
         }

         if(var3.anInt4955 * -1761800209 != -1) {
            var3.method6890(this.method7007(var3.anInt4955 * -1761800209, -1957162130), this.method7007(-470824831 * var3.anInt4983, -1957162130), (byte)-69);
         }

         if(-1 != var3.anInt4997 * 1626089223) {
            var3.method6891(this.method7007(var3.anInt4997 * 1626089223, -1957162130), this.method7007(var3.anInt4996 * 664092373, -1957162130), 2082292391);
         }

         if(!this.aBool5013 && var3.aBool4970) {
            var3.anInt4936 = 0;
            var3.aStringArray4965 = this.aStringArray5022;
            var3.aStringArray4959 = this.aStringArray5012;
            var3.aBool4991 = false;
            var3.anIntArray4967 = null;
            if(null != var3.aClass423_4993) {
               boolean var12 = false;

               for(Class225 var5 = var3.aClass423_4993.method7208(-405853513); null != var5; var5 = var3.aClass423_4993.method7226(2045130293)) {
                  Class401 var6 = this.aClass389_5020.method6674((int)(-7222396723785363401L * var5.aLong2606), -1737472087);
                  if(var6.aBool4915) {
                     var5.method3857(1492312177);
                  } else {
                     var12 = true;
                  }
               }

               if(!var12) {
                  var3.aClass423_4993 = null;
               }
            }
         }

         Class564 var13 = this.aClass564_5016;
         synchronized(var13) {
            this.aClass564_5016.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method7025(boolean var1) {
      if(var1 != this.aBool5013) {
         this.aBool5013 = var1;
         this.method7012(-1217342828);
      }
   }

   public void method7026(int var1) {
      this.anInt5021 = 221181881 * var1;
      Class564 var2 = this.aClass564_5017;
      synchronized(var2) {
         this.aClass564_5017.method11976((byte)47);
      }
   }

   public Class171 method7027(Class545 var1, int var2, int var3, int var4, int var5, int var6, Class540 var7) {
      this.aClass428_5023.anInt5378 = 763876111 * var1.anInt7353;
      this.aClass428_5023.anInt5377 = var2 * 576917419;
      this.aClass428_5023.anInt5381 = 1894269099 * var3;
      this.aClass428_5023.anInt5379 = 888228131 * var4;
      this.aClass428_5023.anInt5380 = var5 * 1897828817;
      this.aClass428_5023.anInt5376 = var6 * -1376089223;
      this.aClass428_5023.aBool5382 = var7 != null;
      return (Class171)this.aClass561_5018.method11931(this.aClass428_5023);
   }

   public void method7028() {
      Class561 var1 = this.aClass561_5018;
      synchronized(var1) {
         this.aClass561_5018.method11926();
      }
   }

   public Class171 method7029(Class545 var1, Class545 var2, int var3, int var4, int var5, int var6, boolean var7, boolean var8, int var9, Class8 var10, Class540 var11, int var12) {
      if(!var8) {
         Class171 var13 = this.method7008(var2, var3, var4, var5, var6, var9, var11, 1445504659);
         if(null != var13) {
            return var13;
         }
      }

      ItemDefinition var17 = this.method7007(var3, -1957162130);
      if(var4 > 1 && var17.anIntArray4990 != null) {
         int var14 = -1;

         for(int var15 = 0; var15 < 10; ++var15) {
            if(var4 >= var17.anIntArray4940[var15] && var17.anIntArray4940[var15] != 0) {
               var14 = var17.anIntArray4990[var15];
            }
         }

         if(-1 != var14) {
            var17 = this.method7007(var14, -1957162130);
         }
      }

      int[] var18 = var17.method6932(var1, var2, var4, var5, var6, var7, var9, var10, var11, 1855778857);
      if(null == var18) {
         return null;
      } else {
         Class171 var19;
         if(var8) {
            var19 = var1.method11599(var18, 0, 36, 36, 32, 98312473);
         } else {
            var19 = var2.method11599(var18, 0, 36, 36, 32, 98312473);
         }

         if(!var8) {
            Class428 var16 = new Class428();
            var16.anInt5378 = 763876111 * var2.anInt7353;
            var16.anInt5377 = 576917419 * var3;
            var16.anInt5381 = 1894269099 * var4;
            var16.anInt5379 = var5 * 888228131;
            var16.anInt5380 = var6 * 1897828817;
            var16.anInt5376 = -1376089223 * var9;
            var16.aBool5382 = null != var11;
            this.aClass561_5018.method11923(var19, var16);
         }

         return var19;
      }
   }

   public void method7030() {
      Class561 var1 = this.aClass561_5018;
      synchronized(var1) {
         this.aClass561_5018.method11926();
      }
   }

   public void method7031(int var1) {
      Class564 var2 = this.aClass564_5016;
      synchronized(var2) {
         this.aClass564_5016.method11963(var1, (byte)-77);
      }

      var2 = this.aClass564_5017;
      synchronized(var2) {
         this.aClass564_5017.method11963(var1, (byte)-51);
      }

      Class561 var9 = this.aClass561_5018;
      synchronized(var9) {
         this.aClass561_5018.method11925(var1);
      }
   }

   public void method7032() {
      Class564 var1 = this.aClass564_5016;
      synchronized(var1) {
         this.aClass564_5016.method11968((short)-32688);
      }

      var1 = this.aClass564_5017;
      synchronized(var1) {
         this.aClass564_5017.method11968((short)-12273);
      }

      Class561 var8 = this.aClass561_5018;
      synchronized(var8) {
         this.aClass561_5018.method11948();
      }
   }

   static final void method7033(Class508 var0, byte var1) {
      Class468.method7883((byte)-49);
   }

   static void method7034(Class253 var0, int var1, int var2, int var3, boolean var4, long var5, int var7, int var8) {
      Class104.anInt1025 = 1274057361;
      Class555.aClass253_7447 = var0;
      Class357.anInt4487 = var1 * -811506775;
      Class118_Sub11.anInt8264 = var2 * -1071233735;
      Class371.aClass225_Sub12_Sub2_4642 = null;
      Class104.anInt1027 = -456259441 * var3;
      Class42.aBool453 = var4;
      Class104.anInt1028 = -226290128;
      Class520.aLong7143 = var5 * -3667952187518878555L;
      Class225_Sub35.anInt8698 = -999283579 * var7;
   }
}
